# Uses of Enum Class
org.apache.sysds.conf.CompilerConfig.ConfigType

Packages that use CompilerConfig.ConfigType
Package
Description
org.apache.sysds.api.jmlc
org.apache.sysds.conf

## Uses of CompilerConfig.ConfigType in org.apache.sysds.api.jmlc

Methods in org.apache.sysds.api.jmlc with parameters of type CompilerConfig.ConfigType
Modifier and Type
Method
Description
`void`
Connection.`setConfigTypes(boolean activate, CompilerConfig.ConfigType... cconfigs)`
Sets compiler configs.
Constructors in org.apache.sysds.api.jmlc with parameters of type CompilerConfig.ConfigType
Modifier
Constructor
Description
``
`Connection(CompilerConfig.ConfigType... cconfigs)`
Connection constructor, the starting point for any other JMLC API calls.
``
`Connection(DMLConfig dmlconfig, CompilerConfig.ConfigType... cconfigs)`
Connection constructor, the starting point for any other JMLC API calls.

## Uses of CompilerConfig.ConfigType in org.apache.sysds.conf

Methods in org.apache.sysds.conf that return CompilerConfig.ConfigType
Modifier and Type
Method
Description
`static CompilerConfig.ConfigType`
CompilerConfig.ConfigType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CompilerConfig.ConfigType[]`
CompilerConfig.ConfigType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.conf with parameters of type CompilerConfig.ConfigType
Modifier and Type
Method
Description
`boolean`
CompilerConfig.`getBool(CompilerConfig.ConfigType key)`
`static boolean`
ConfigurationManager.`getCompilerConfigFlag(CompilerConfig.ConfigType key)`
Get a boolean compiler config in a robust manner, returning false if config not existing.
`int`
CompilerConfig.`getInt(CompilerConfig.ConfigType key)`
`void`
CompilerConfig.`set(CompilerConfig.ConfigType key, boolean value)`
`void`
CompilerConfig.`set(CompilerConfig.ConfigType key, int value)`